- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDNURBSTo2 Class Reference
Inheritance diagram for libvisio::VSDNURBSTo2:

## Public Member Functions
| VSDNURBSTo2 (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID)
virtual | ~VSDNURBSTo2 ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
unsigned | getDataID () const
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
void | setLevel (unsigned level)

## Public Attributes
unsigned | m_dataID
double | m_x2
double | m_y2
double | m_knot
double | m_knotPrev
double | m_weight
double | m_weightPrev

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDNURBSTo2::VSDNURBSTo2 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID
| ) |  |
| inline

virtual libvisio::VSDNURBSTo2::~VSDNURBSTo2 | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDNURBSTo2::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

unsigned libvisio::VSDNURBSTo2::getDataID | ( |  | ) | const
| virtual

Reimplemented from libvisio::VSDGeometryListElement.

void libvisio::VSDNURBSTo2::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

unsigned libvisio::VSDNURBSTo2::m_dataID

double libvisio::VSDNURBSTo2::m_knot

double libvisio::VSDNURBSTo2::m_knotPrev

double libvisio::VSDNURBSTo2::m_weight

double libvisio::VSDNURBSTo2::m_weightPrev

double libvisio::VSDNURBSTo2::m_x2

double libvisio::VSDNURBSTo2::m_y2

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp